Energia

Serial

## findUntil()

### Description

Serial.findUntil() reads data from the serial buffer until a target string of given length or terminator string is found. The function returns true if the target string is found, false if it times out. Serial.findUntil() inherits from the Stream utility class.

### Syntax

Serial.findUntil(target, terminal)

### Parameters

target : the string to search for (char)

terminal : the terminal string in the search (char)

### Returns

boolean

### Example

### See also

- Stream.findUntil()
- Serial.read()
- Serial.find()
- Serial.flush()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia getting started guide is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the guide are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes